## golang-github-mailgun-minheap 0.0~git20170619.3dbe6c6

=== Makefile ===
test: clean
	go test -v ./...

coverage: clean
	gocov test -v ./... | gocov report

annotate: clean
	FILENAME=$(shell uuidgen)
	gocov test -v ./... > /tmp/--go-test-server-coverage.json
	gocov annotate /tmp/--go-test-server-coverage.json $(fn)

deps:
	go get -v -u github.com/axw/gocov
	go install github.com/axw/gocov/gocov
	go get -v -u launchpad.net/gocheck

clean:
	find . -name flymake_* -delete

msloccount:
	 find . -name "*.go" -print0 | xargs -0 wc -l

=== debian/changelog ===
golang-github-mailgun-minheap (0.0~git20170619.3dbe6c6-2) unstable; urgency=medium

  * Source only upload.
  * d/control: Bump S-V.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 24 Aug 2021 23:10:16 +0200

golang-github-mailgun-minheap (0.0~git20170619.3dbe6c6-1) unstable; urgency=medium

  * Initial release (Closes: #991699)

 -- Aloïs Micard <creekorful@debian.org>  Fri, 30 Jul 2021 14:11:20 +0200

=== debian/control ===
Source: golang-github-mailgun-minheap
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-gopkg-check.v1-dev <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mailgun-minheap
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mailgun-minheap.git
Homepage: https://github.com/mailgun/minheap
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mailgun/minheap

Package: golang-github-mailgun-minheap-dev
Architecture: all
Depends: ${misc:Depends}
Description: User-friendly heap container (library)
 Slightly more user-friendly heap on top of containers/heap.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/mailgun/minheap.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-mailgun-minheap-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/mailgun/minheap/tags .*/v?(\d\S*)\.tar\.gz debian
